
local myMod = ...

local myBuilding =
{
	DataType = "BUILDING",
	Id = "HOUSE",
	Name = "MY_MOD_HOUSE",
	Description = "MY_MOD_HOUSE_DESC",
	BuildingType = "DECORATION"
}
--Check which version is been used
if (foundation.getGameVersion == nil or version.cmp(foundation.getGameVersion(), "1.6") < 0) then
	myBuilding.BuildingPartSetList = {
		{
			Name = "GENERAL",
			BuildingPartList = { "HOUSE_PART" }
		}
	}
else
	myBuilding.AssetCoreBuildingPart = "HOUSE_PART"
end
 
myMod:register(myBuilding)

myMod:register({
	DataType = "BUILDING_PART",
	Id = "HOUSE_PART",
	Description = "",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_HOUSE"
	},
	BuildingZone = {
		Polygon = polygon.createRectangle({ 5, 5 })
	},
	ConstructionVisual = "PREFAB_HOUSE_CONSTRUCTION",
	Cost = {
		RessourcesNeeded = {
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
    IsVisibleWhenBuilt = true
})

-- Register grass clearing components
myMod:registerPrefabComponent("models/old_house3_export.fbx/Prefab/Model", {
	DataType = "COMP_DIRT_RECTANGLE",
	Size = {5, 5}
})